if(typeof(hostix_api)==='undefined')
	hostix_api = {};
/* User's defined onload function */
hostix_api.onload = false;
/* Internal buffer */
hostix_api.buffer = {
	object: false,
	height: 0,
	scroll: 0,
	scroll_last: 0,
	is_msie: (navigator.userAgent.indexOf('IE')!=-1) ? true : false
};
/* Universal Initialization */
hostix_api.init = function(){
	if(document.location.hostname. indexOf('api.')===0)
		hostix_api.frame();
	else
		hostix_api.master(1);
}
/* Initialization for master window */
hostix_api.master = function(init){
	with(hostix_api.buffer){
		if(init===1){
			if(!object && !(object=document.getElementById('hostix_api')))
				return;
			document.domain = document.domain.replace(/^(www|support|order|test|faq|sandbox)\./i, '');
			hostix_api.add_event(object,'load',function(){hostix_api.master(2)});
			if(hostix_api.onload)
				hostix_api.add_event(object,'load',hostix_api.onload);
			if(top.location.hash){
				var uri = top.location.hash;
				if(uri.indexOf('#hostix_api=')===0)
					hostix_api.go_to(uri.replace(/^#hostix_api=/,''));
			}
			return;
		}
		if(init===2){
			object.contentWindow.document.cookie = 'hostix_api='+
					encodeURIComponent(top.location.href)+';'+
					'expires='+new Date(new Date().getTime()+86400000).toGMTString()+';'+
					'path=/';
		}
		var hostix_height = (init===3) ?
			Math.max(
				object.contentWindow.document.documentElement['scrollHeight'],
				object.contentWindow.document.body['scrollHeight']
			) : object.contentWindow.document.body['offsetHeight'];

		if(hostix_height!=height){
			height =  hostix_height;
			object.style.height = (is_msie) ? hostix_height+4 : hostix_height+'px';
		}
	}
	setTimeout('hostix_api.master(3)',500);
}
/* Initialization for frame */
hostix_api.frame = function(){}
/* add avent to object */
hostix_api.add_event = function(obj,type,fn){
	if(obj.addEventListener){
		obj.addEventListener(type, fn, false);
	}else if(obj.attachEvent){
		if(type==='DOMContentLoaded'){
			obj.attachEvent('onreadystatechange', fn);
			var toplevel = false;
			try{toplevel = window.frameElement==null}catch(e){}
			if(document.documentElement.doScroll && toplevel)
				hostix_api.ie_domready(fn);
		}else{
			obj.attachEvent('on'+type, fn);
		}
	}
}
/* Go to link from parrent window */
hostix_api.go_to = function(uri){
	if(typeof(hostix_api.buffer['object'].src)==='undefined')
		return;
	var url = hostix_api.buffer['object'].src;
	url = url.replace(/^(http[s]?:\/\/[^\/]+).+$/,'$1');
	if(!url)
		return;
	uri = decodeURIComponent(uri);
	if(uri.indexOf('/')!==0)
		url += '/';
	hostix_api.buffer['object'].src = url+uri;
	return;
}
/* MSIE domready  crutch */
hostix_api.ie_domready = function(fn){
	try{
		document.documentElement.doScroll('left');
	}catch(error){
		setTimeout('hostix_api.ie_domready('+fn+')',1);
		return;
	}
	fn.call();
	return;
}
/* Initialization */
hostix_api.add_event(document,'DOMContentLoaded',hostix_api.init);